<nav class="navbar navbar-light bg-light navbar-dark bg-dark">
  <a class="navbar-brand" routerLink="home">
    <fa-icon [icon]="faAddressBook" class="icon fa-lg far"></fa-icon>
    <span class="m-3">Home</span>
  </a>

  <a *ngIf="isLogin" class="navbar-brand" routerLink="ladder">
    <fa-icon [icon]="faTrophy" class="icon fa-lg far"></fa-icon>
    <span class="m-3">Ladder</span>
  </a>

  <span class="navbar-end">
    <div *ngIf="isLogin; then thenBlock; else elseBlock"></div>
    <ng-template #thenBlock>
      <button class="btn btn-danger btn-group-lg m-2 font-weight-bold" (click)="onDeleteAccountClick()">Delete Account</button>
      <button class="btn btn-danger btn-group-lg m-2 font-weight-bold" (click)="onLogoutClick()">Logout</button>
    </ng-template>
    <ng-template #elseBlock>
      <button class="btn btn-success btn-group-lg m-2 font-weight-bold" (click)="openModal('Create Account')">Create Account</button>
      <button class="btn btn-primary btn-group-lg m-2 font-weight-bold" (click)="openModal('Login')">Login</button>
    </ng-template>
  </span>
</nav>

<div class="modal" tabindex="-1" role="dialog" [ngStyle]="{'display':display}">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header bg-dark text-white">
        <h4 class="modal-title">{{modelTitle}}</h4>
        <button type="button" class="close text-white" aria-label="Close" (click)="onCloseHandled()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body is-flex align-self-center">
        <form class="text-center" id="form" [formGroup]="FormGroup">
          <div class="m-2 input-group">
            <label for="pseudo" class="input-group-text bg-dark text-white is-label">Pseudo</label>
            <input formControlName="Pseudo" type="text" id="pseudo"/>
          </div>
          <div class="m-2 input-group">
            <label for="pwd" class="input-group-text bg-dark text-white is-label">Password</label>
            <input formControlName="Password" type="password" id="pwd" required/>
          </div>

          <button *ngIf="FormGroup.valid" class="btn bg-dark text-white" id="submit"
                  (click)="modelTitle == 'Login' ? onLoginClickAction() : onCreateClickAction()">
            {{modelTitle}}
          </button>

        </form>
      </div>
    </div>
  </div>
</div>
